Provider Customer Service_ Start Provider Customer Virtual Machine
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
clientOrganizationIdstring
virtualMachineIdstring
Response Body
application/json
curl -X POST "https://api.nrings.io/v1/provider/customers/{clientOrganizationId}/virtual-machines/{virtualMachineId}:start" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d 'null'{
"id": "string",
"hostname": "string",
"operationStatus": "OPERATION_STATUS_UNSPECIFIED",
"cpu": 0,
"memory": 0,
"storage": 0,
"providerOrganizationId": "string",
"ipv4": "string",
"ipv6": "string",
"distro": "DISTRO_UNSPECIFIED",
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z",
"regionCountry": "string",
"regionCity": "string",
"providerName": "string",
"tags": [
"string"
],
"firewallRulesetId": "string",
"addonSubscriptions": [
{
"id": "string",
"quantity": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"addonStatus": "ADDON_STATUS_UNSPECIFIED",
"cancelAtPeriodEnd": true,
"canceledAt": "2019-08-24T14:15:22Z",
"externalId": "string",
"subscriptionId": "string",
"addonId": "string",
"addonPriceId": "string",
"subscriptionName": "string",
"addonName": "string",
"addonCode": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
],
"hasActiveBackupSubscription": true,
"activeBackupSubscriptionName": "string",
"planBillingType": "BILLING_TYPE_UNSPECIFIED",
"additionalIpv4": [
{
"ipAddress": "string",
"gateway": "string",
"prefixLength": "string"
}
],
"bandwidthEgress": {
"usedGb": 0.1,
"freeUnitsGb": 0,
"blockSizeGb": 0,
"blockPrice": "string",
"currency": "string",
"unlimited": true,
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"overageGb": 0.1,
"billableBlocks": 0,
"nextBlockGb": 0.1,
"estimatedOverageAmount": "string",
"billingEnabled": true
},
"bandwidthIngress": {
"usedGb": 0.1,
"freeUnitsGb": 0,
"blockSizeGb": 0,
"blockPrice": "string",
"currency": "string",
"unlimited": true,
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"overageGb": 0.1,
"billableBlocks": 0,
"nextBlockGb": 0.1,
"estimatedOverageAmount": "string",
"billingEnabled": true
},
"reinstallStatus": "REINSTALL_STATUS_UNSPECIFIED",
"reinstalledAt": "2019-08-24T14:15:22Z",
"instantAppId": "string",
"instantAppSlug": "string",
"instantAppName": "string",
"instantAppVersion": "string",
"instantAppFamily": "string",
"instantAppIconUrl": "string"
}